Contact: HOBBYHIMMEL
email: info@hobbyhimmel.de
Thingiverse: https://www.thingiverse.com/thing:4563719

Summary
This adapter is screwed on a DN32 hose and ends a 50mm round part perfectly matching cyclone in- and outlets.
